Loading...
Searching...
No Matches
ftxui::animation Namespace Reference

## Functions

void | RequestAnimationFrame ()

## Typedefs

using | Clock = std::chrono::steady_clock
using | TimePoint = std::chrono::time_point<Clock>
using | Duration = std::chrono::duration<float>

## Data Structures

class | Params
class | Animator

## Namespaces

namespace | easing

## Typedef Documentation

## Clock

using Clock = std::chrono::steady_clock

Definition at line 18 of file animation.hpp.

## TimePoint

using TimePoint = std::chrono::time_point<Clock>

Definition at line 19 of file animation.hpp.

## Duration

using Duration = std::chrono::duration<float>

Definition at line 20 of file animation.hpp.

## Function Documentation

## RequestAnimationFrame()

void RequestAnimationFrame | ( |  | ) |

Definition at line 63 of file screen_interactive.cpp.